import { render } from '../test-utils';

import Progress from '.';

describe('Progress', () => {
  const props = {
    id: 'test-id',
    progress: { value: 50, max: 100 },
  };
  describe('by default', () => {
    beforeEach(() => {
      render(<Progress {...props} />);
    });

    it('renders the progress', () => {
      const progress = document.querySelector('progress');
      expect(progress).toBeInTheDocument();
      expect(progress).toHaveValue(progress?.value);
    });
  });
});
